Free Support Forum - aspose.cloud

Upload file to Cloud Storage REST API is not working: UnsupportedApiVersion

We’re getting the below error since Friday… what’s the cause for this? we haven’t changed anything on our side.

(Removed the signature value)

<span style=“color: rgb(45, 45, 45); font-family: “Lucida Console”, Monaco, monospace; font-size: 12px; white-space: pre-wrap; background-color: rgb(255, 255, 255);”>Integration::<mark style=“box-sizing: border-box; background: rgb(243, 156, 18); padding: 0.2em; font-family: “Lucida Console”, Monaco, monospace; font-size: 12px; white-space: pre-wrap;”>Aspose<span style=“color: rgb(45, 45, 45); font-family: “Lucida Console”, Monaco, monospace; font-size: 12px; white-space: pre-wrap; background-color: rgb(255, 255, 255);”>::Error: <mark style=“box-sizing: border-box; background: rgb(243, 156, 18); padding: 0.2em; font-family: “Lucida Console”, Monaco, monospace; font-size: 12px; white-space: pre-wrap;”>Aspose<span style=“color: rgb(45, 45, 45); font-family: “Lucida Console”, Monaco, monospace; font-size: 12px; white-space: pre-wrap; background-color: rgb(255, 255, 255);”> Error - Request failed. Response code: 400. Response body: {“Error”=>{“Code”=>“UnsupportedApiVersion”, “Message”=>“The HTTP resource that matches the request URI ‘http://api.aspose.cloud/v1.1/storage/file/d937d78a4a386d9288c58392cca671a71dcdc08840f08956b69866afa5ca0a57.doc?appSID=37610d0f-ff5d-4ab7-80b8-5699405e3cec&signature=XXXXXX’ does not support the API version ‘1.1’.”}}.

Hi,

We’re aware of the issue and our team is working on fixing this issue. Hopefully, it will be resolved soon.

Regards,

Hi,

This issue is fixed. Please try it at your end and confirm. Hopefully, this will not occur again. If you still find a problem, please do let us know along with the failing URI, error details, and any code snippet.

Regards,

We are experiencing the same problem.
Can you please advise on when this will be fixed as this is crucial to our business?

We are also getting this issue.

I have tried bumping out SDK in case it is something there to no avail.

This is buisness critical.

This doesn’t appear to be fixed for us. This critical to our business. Can you please advise ASAP?


Here is the JSON error response:

{“Error”:{“Code”:“UnsupportedApiVersion”,“Message”:“The
HTTP resource that matches the request URI
http://api.aspose.com/v1.1/storage/file/7262662a-5efc-4f73-b4ec-7cc2cafa0456/bedbfe35-c0ee-406c-810a-d4f8fcb67fb0.docx?appSID=95e9761f-3329-4d2a-98df-9dd7359967cd&signature=ccozZT7WTjEDTNNVdt6k%2Fm5zhfI
does not support the API version ‘1.1’.”}}



Hi All,

We have communicated this issue to our product team and will update you with a resolution shortly.

Regards,

Hello,


Our product team has informed us that this issue has now been fixed. We apologise for any inconvenience this may have caused.

If you continue facing this or any other issue, please feel free to get in touch.

Regards,
------------------------------------------

Mateen Sajjad

Aspose - File Format APIs

Got a Complaint? File it!
Keep in touch! We’re on Twitter and Facebook